Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme
Class Orientation

    java.lang.Object
      org.jboss.portal.theme.Orientation

    public final class Orientation

extends java.lang.Object

Type safe enumeration of allowed orientations.

Version:
  $LastChangedRevision: 8784 $, $LastChangedDate: 2007-10-28 01:01:46 +0200 (Sun, 28 Oct 2007) $
Author:

  Field Summary
  `static Orientation` | `DEFAULT` The default value which is vertical.
  `static Orientation` | `HORIZONTAL` Horizontal.
  `static Orientation` | `VERTICAL` Vertical.

  Method Summary
  `boolean` | `equals(java.lang.Object o)`
  `int` | `hashCode()`
  `static Orientation` | `parse(java.lang.String orientation)` Parse a string representation of an orientation into a defined type.
  `java.lang.String` | `toString()`

  Methods inherited from class java.lang.Object
  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  Field Detail

  ### VERTICAL

      public static final Orientation VERTICAL

    Vertical.

  ### HORIZONTAL

      public static final Orientation HORIZONTAL

    Horizontal.

  ### DEFAULT

      public static final Orientation DEFAULT

    The default value which is vertical.

  Method Detail

  ### toString

      public java.lang.String toString()

    Overrides:
      `toString` in class `java.lang.Object`

  ### equals

      public boolean equals(java.lang.Object o)

    Overrides:
      `equals` in class `java.lang.Object`

  ### hashCode

      public int hashCode()

    Overrides:
      `hashCode` in class `java.lang.Object`

  ### parse

      public static Orientation parse(java.lang.String orientation)

    Parse a string representation of an orientation into a defined type.

    Parameters:
      `orientation` - the string representation of the orientation
    Returns:
      the defined type for the string
    Throws:
      `java.lang.IllegalArgumentException` - if the provided orientation String is invalid

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD